LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XCopyTableListener Interface Reference

specifies the interface required to listen for progress in copying table rows via a `CopyTableWizard`. More...

`import"XCopyTableListener.idl";`

Inheritance diagram for XCopyTableListener:

## Public Member Functions
void | copyingRow ([in] CopyTableRowEvent Event)
| is called when a row is about to be copied. More...
void | copiedRow ([in] CopyTableRowEvent Event)
| is called when a row was successfully copied. More...
short | copyRowError ([in] CopyTableRowEvent Event)
| is called when copying a row failed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the interface required to listen for progress in copying table rows via a `CopyTableWizard`.

See also
  CopyTableRowEvent
  CopyTableWizard

## Member Function Documentation

## ◆ copiedRow()

void copiedRow | ( | [in] CopyTableRowEvent | Event | ) |

is called when a row was successfully copied.

This method is called right after a row has been successfully copied. It might be used, for instance, to update a progress indicator.

Parameters

  Event | describes the current state of the copy operation. CopyTableRowEvent::SourceData is positioned at the row which was just copied to the target database.

## ◆ copyingRow()

void copyingRow | ( | [in] CopyTableRowEvent | Event | ) |

is called when a row is about to be copied.

This method is called immediately before a row is copied. It might be used, for instance, to update a progress indicator.

Parameters

  Event | describes the current state of the copy operation. CopyTableRowEvent::SourceData is positioned at the row which is about to be copied.

## ◆ copyRowError()

short copyRowError | ( | [in] CopyTableRowEvent | Event | ) |

is called when copying a row failed.

Parameters

  Event | describes the current state of the copy operation. CopyTableRowEvent::SourceData is positioned at the row which was attempted to be copied to the target database. CopyTableRowEvent::Error will contain the actual error which happened.

Returns
  how to continue with copying. Must be one of the CopyTableContinuation constants.

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/application/XCopyTableListener.idl